Opened 3 years ago

Closed 3 years ago

#14803 closed Bug (invalid)

The default package has bad some bad css files

Reported by: xavier.tremblay Owned by:
Priority: Normal Milestone:
Component: General Version:
Keywords: Cc:

Description

Hi,

The css in content.css (and other .css files in plugins) define global tag like 'a', 'body', 'ul'. Those are super general tags and can overwrite existing css files.

The best practice is to prefix them with something like .ckeditor to limit your css to your widget's context.

If it's not a required css file you could remove it from the default package, but I assume it is required.

(downloaded from http://ckeditor.com/download)

Thank you!

Change History (1)

comment:1 Changed 3 years ago by Jakub Ś

Keywords: css removed
Resolution: invalid
Status: newclosed
Version: 4.5.10 (GitHub - master)

The contents.css file is applied to content area which is indie an iframe. I have checked other css files but none of them contained general rule like a {.....

I don't see any issue here.

Note: See TracTickets for help on using tickets.
© 2003 – 2019 CKSource – Frederico Knabben. All rights reserved. | Terms of use | Privacy policy